
require 'fileutils'

module Taeval
  module CLI
    
    class << self
      
      def parse_options(options = ARGV)
        if options.size != 1 || options.first != 'init'
          raise "Argument must be init! Use `taeval init` to initialize project." 
        end
        options 
      end

      def start(opts)
        puts "Initialize configuration ..."
        dest = Dir.pwd
        path = File.join(File.dirname(File.expand_path(__FILE__)), '../../config')
        config_files = Dir.glob("#{path}/*")

        config_files.each do |conf|
          FileUtils.cp(conf, dest)
        end
      end
    end
  end
end
