
require 'json'
require 'taeval/file_helper'

module Taeval
  class Reporter
    include Taeval::FileHelper

    def initialize(conf_h)
      @path    = path_of(conf_h.dig('report', 'path'))
      @records = {}
    end

    def add(data)
      @records[data[:repo]] = {} if !@records.has_key?(data[:repo])
      @records[data[:repo]][data[:runner]] = [] if !@records[data[:repo]].has_key?(data[:runner])
      @records[data[:repo]][data[:runner]] << data[:msg]
    end

    def save
      p "Reporter#save..."
      File.open(@path,'w') do |f|
        f.write(@records.to_json)
      end
    end
  end
end
