
module Taeval
  module Unittest
    class Config
      include Taeval::FileHelper

      attr_reader :tool, :cmd, :solutions, :original

      def initialize(conf_h)
        @tool      = conf_h.dig('build', 'tool')
        @cmd       = conf_h.dig('build', 'cmd')
        @original  = path_of(conf_h.fetch('original', ''))
        if !File.exist?(@original)
          raise "Unittest: #{@original} does not exist"
        end
        @solutions = path_of(conf_h.dig('solution', 'path'))
      end

    end
  end
end
