
module Taeval
  module Hadolint
    class Config
      include Taeval::FileHelper
      
      attr_reader :path, :solutions
      
      def initialize(conf_h)
        @path      = path_of(conf_h.fetch('path', ''))
        if !File.exist?(@path)
          raise "Path of hadolint (#{@path}) does not exist."
        end
        
        @solutions = path_of(conf_h.dig('solution', 'path'))
        if !File.exist?(@solutions)
          raise "Path of solutions (#{@solutions}) does not exist."
        end
      end

    end
  end
end
