
module Taeval
  class Output
    def initialize(conf_h)
      @verbose = conf_h.fetch('verbose', false)
    end

    def print(header, stdout = '', stderr = '')
      if @verbose
        puts "\e[95m#{header}\e[0m"
        puts "\e[97m#{stdout}\e[0m" if !stdout.nil? && !stdout.empty?
        puts "\e[91m#{stderr}\e[0m" if !stderr.nil? && !stderr.empty?
      end
    end

  end
end
